Subject: Re: PHY not found after migration of gianfar driver to anof_platform_driver

From: Michael Guntsche <[email-masked]>
Date: Thu, 05 Mar 2009 08:41:55 +0100

On Wed, 4 Mar 2009 08:57:59 -0700, Grant Likely <[email-masked]>
wrote:
> You might be able to use of_attach_node() & prom_add_property() to
> modify the tree, but I've never done it myself.  Give it a try and
> tell me if it works.  :-)
> 

Hello Grant,

I made some progress in this area, but I have now hit a problem I do not
know how to solve.
Taking code from the iseries/vio.c files I am able to add properties with
add_string_property and add_raw_property. 
The problem I have is adding properties like

    reg = <0x2520 0x20>

I know how to add a property

   reg = <0x2520>

but I do not know what data structure to pass to add_raw_property to add
two numbers there.

Kind regards,
Michael